## manimpango 0.6.0

=== docs/requirements.txt ===
furo
sphinx
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinxext-opengraph

## manimpango 0.4.1

=== debian/changelog ===
manimpango (0.4.1-3) unstable; urgency=medium

  * Properly clean source tree after build (Closes: #1015097)

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Jul 2022 18:07:21 +0200

manimpango (0.4.1-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 25 Jun 2022 16:03:33 +0200

manimpango (0.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #1012605)

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Jun 2022 10:01:46 +0200

=== debian/control ===
Source: manimpango
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cython3,
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 libpango1.0-dev,
 pkg-config,
 python3-all-dev,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/manimpango.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/manimpango
Homepage: https://manimpango.manim.community/
Rules-Requires-Root: no
Description: Pango bindings for the Manim animation engine
 Manim is used to create precise animations programmatically, as demonstrated
 in the videos of 3Blue1Brown. All animations are written as Python code and
 rendered with the manim CLI tool.


Package: python3-manimpango
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the Pango bindings for Manim.

Package: python-manimpango-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the documentation of the Pango bindings for Manim.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=manimpango
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL=make -C docs html SPHINXBUILD="{interpreter} -m sphinx" PYTHONPATH=$(CURDIR)/debian/python3-manimpango{install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian -name .coverage -delete

## manimpango 0.4.2

=== debian/changelog ===
manimpango (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Nov 2022 20:16:04 +0100

manimpango (0.4.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 15:04:14 +0100

## manimpango 0.4.3

=== debian/changelog ===
manimpango (0.4.3-2) unstable; urgency=medium

  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Fri, 09 Dec 2022 17:13:12 +0100

manimpango (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Nov 2022 21:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  libpango1.0-dev,
  pkg-config,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
@@ -22,6 +23,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/manimpango
 Homepage: https://manimpango.manim.community/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Description: Pango bindings for the Manim animation engine
  Manim is used to create precise animations programmatically, as demonstrated
  in the videos of 3Blue1Brown. All animations are written as Python code and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=manimpango
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL=make -C docs html SPHINXBUILD="{interpreter} -m sphinx" PYTHONPATH=$(CURDIR)/debian/python3-manimpango{install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find debian -name .coverage -delete

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/ManimCommunity/ManimPango/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## manimpango 0.5.0

=== debian/changelog ===
manimpango (0.5.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:29 +1100

manimpango (0.5.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:40:07 +0000

manimpango (0.5.0-1) unstable; urgency=medium

  * Handle pre-release versions in d/watch
  * New upstream version 0.5.0
  * Use Furo theme for documentation
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Nov 2023 17:36:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: manimpango
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,6 +10,7 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ furo <!nodoc>,
  libpango1.0-dev,
  pkg-config,
  pybuild-plugin-pyproject,
@@ -18,7 +20,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/manimpango.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/manimpango
 Homepage: https://manimpango.manim.community/

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s%[-.]?(a|b|c|rc|dev|pre)%~$1% \
 https://github.com/ManimCommunity/ManimPango/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## manimpango 0.6.0

=== debian/changelog ===
manimpango (0.6.0-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:13:15 +0000

manimpango (0.6.0-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:35:19 +0000

manimpango (0.6.0-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:23 +0100

manimpango (0.6.0-2) unstable; urgency=medium

  * Update d/watch and ignore stale 1.0.0~a releases
  * Build documentation with default Python

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 21:08:29 +0200

manimpango (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
    - Add Python 3.13 support (Closes: #1081571)
  * Bump Standards-Version to 4.7.0
  * Migrate Depends: pkg-config to Depends: pkgconf

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 15:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: manimpango
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  furo <!nodoc>,
  libpango1.0-dev,
- pkg-config,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pytest <!nocheck>,
@@ -20,7 +19,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/manimpango.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/manimpango
 Homepage: https://manimpango.manim.community/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = manimpango

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs html https_proxy=http://127.0.0.1:9 PYTHONPATH="$(shell pybuild --print {build_dir} --interpreter python3)"
endif
	find debian -name .coverage -delete

## manimpango 0.6.1

=== debian/changelog ===
manimpango (0.6.1-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 0.6.1
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Oct 2025 16:01:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- cython3,
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ cython3,
  furo <!nodoc>,
  libpango1.0-dev,
  pkgconf,
@@ -19,7 +20,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/manimpango.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/manimpango
 Homepage: https://manimpango.manim.community/
@@ -29,7 +30,6 @@
  Manim is used to create precise animations programmatically, as demonstrated
  in the videos of 3Blue1Brown. All animations are written as Python code and
  rendered with the manim CLI tool.
-
 
 Package: python3-manimpango
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: ManimCommunity
Project: ManimPango
Uversion-Mangle: s%1\.0\.0a%0~ignore%;s%([abcd]|pre)%~$1%
